"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUnique = exports.uniqueCode = void 0;
exports.uniqueCode = `
  var names = {};
  function unique(defs) {
    return defs.filter(function (def) {
      if (def.kind !== 'FragmentDefinition') return true;
      var name = def.name.value;
      if (names[name]) {
        return false;
      } else {
        names[name] = true;
        return true;
      }
    });
  };
`;
function useUnique() {
    const names = {};
    return function unique(defs) {
        return defs.filter(def => {
            if (def.kind !== 'FragmentDefinition')
                return true;
            const name = def.name.value;
            if (names[name]) {
                return false;
            }
            else {
                names[name] = true;
                return true;
            }
        });
    };
}
exports.useUnique = useUnique;
